/* Styling Cumulative Data */
.cumulative{
	background-color: rgba(22, 103, 201, 0.01) !important;
}

.cumulative td{
	background-color: rgba(22, 103, 201, 0.01) !important;
}


/* Loading bar styling */

#loading-bar-spinner {
	display: block;
	position: fixed;
	z-index: 10002;
	top: 10px;
	left: 50%;
}

/* Hiding angular code data while code being compiled */
[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
  display: none !important;
}

/* Remove striped background from segmented data */
.not-striped td{
	background-color: #FFF;
}



/*Filter to remove all the filters applied */

.removefilter {
	cursor: pointer;
}

/* CDR Page icons */

.cdrIcons {
	margin-right: 13px;
	cursor: pointer;
}

/* Transactions filter styling */
.filter-list{
	list-style-type: none;
	padding: 5px;
	cursor: pointer;
}

.filter-list:hover{
	background-color: #ddd;
	text-decoration: none;
	border-radius: 3px;
	color: #333;
}

.filterList{
	color: #333;
	padding: 8px;
}

.filterList a{
	color: #333;
}

.filterList:hover{
	background-color: #ddd;
	cursor: pointer;
}

.filter-dropdown-menu{
	width: 200px;
}

/* Bundle description styling */
.bundle_textbox{
	width: 200px;
    height: 30px;
    display: inline;
    line-height: 20;
}

/*Transactions label selector styling */

.dropdown-search {
	width: 250px;
}

.labels {
	padding: 5px;
}

.label {
	font-weight: normal;
}

.dropdown-label {
	padding: 5px;
	height: 390px;
	min-width: 260px;
}

.dropdown-filter {
	padding: 5px;
	width: 600px;
}

.label-footer {
	position: absolute;
	bottom: 5px;
	width: 100%;
	padding-right: 10px;
}

.label-overflow {
	height: 290px;
	overflow-y: scroll;
}

.label-overflow-create {
	height: 320px;
	overflow-y: scroll;
}

.cur-poi {
	cursor: pointer;
	margin-right: 20px;
}

.label-color-circle {
	height: 15px;
	border-radius: 25%;
	-moz-border-radius: 25%;
	-webkit-border-radius: 25%;
	width: 15px;
}

.inline-label-color {
	display: inline-block;
	position: relative;
	top: 3px;
}

.inline-label-text {
	display: inline-block;
}





/*Transactions select all styling */

.trans-sa-styl {
	position: relative;
	top: -25px;
}



/*Filter Styles */

.removeFilter i {
	cursor: pointer;
	line-height: 2;
}

.tooltip {
	z-index: 1900;
}




/*Line Height customizations */

.lh2point5 {
	line-height: 2.5;
}

.ml4 {
	margin-left: 4px;
}

.pausedTableRow {
	background-color: #e5e5e5;
	color: #555;
}

.pausedTableRow a {
	color: #555;
}

.inlineblock {
	display: inline;
}



/* Active pause CSS styling */

.pause_active_dropdown {
	text-align: left;
	min-width: 120px;
	padding: 5px;
}

.pause_active_dropdown li {
	padding: 5px;
	cursor: pointer;
}



/*Selected row background color */

.selectedTableRow {
	background: aliceblue;
}



/*text align center */

.text-align-center {
	text-align: center;
}



/* Table text styling */

.table {
	font-size: 1.35rem;
}

.table-bordered>thead>tr>th,
.table-bordered>thead>tr>td {
	border-bottom: none;
}



/* Angular-ui Pagination styling */

.my-pagination {
	font-family: Helvetica, FontAwesome, icomoon;
}



/* Multiple city selection Modal related styling */

.stateSlectionButton {
	padding: 5px;
}



/*hiding overflown div*/

.overflow-hidden {
	overflow-x: hidden;
}



/* Font awesome styling */

.fa {
	color: black;
}




/* CSS for Angular-Chips styling */

.default-chip {
	border: 1px solid #428bca;
	background: #f6f6f6;
}

.default-chip .glyphicon {
	color: #2a6496;
}

.chip-out-focus {
	border-bottom: 1px solid #ccc;
}



/* CSS for offer form bulk upload of phone numbers */

.form_link {
	padding-top: 8px;
	text-decoration: underline;
	cursor: pointer;
}




/* Selecting cities modal in offer page */

.state-list {
	font-weight: normal;
}

.footer_adjust {
	margin-top: 0px;
}

.footer {
	z-index: 999;
}

.scrolling_cities {
	max-height: 360px;
	overflow-y: scroll;
	padding: 0px;
	border: 1px solid #ccc;
	border-radius: 5px;
	cursor: pointer;
}



/* CSS styling to give a space tab */

.tab {
	padding-left: 4em;
}



/* css styling to remove span colors on panel */

.no_span_color {
	color: #333 !important;
}


/* Styling target location */

.targetLocation {
	background-color: #cccccc;
	margin-right: 3px;
	margin-bottom: 6px;
	padding-right: 3px;
	padding-left: 3px;
	border-radius: 2px;
	color: #333;
}


/* Minimum width */

.mw150 {
	min-width: 150px;
}

.mw100 {
	min-width: 100px;
}

.mw200 {
	min-width: 200px;
}

.mw80 {
	min-width: 80px;
}

.mw50 {
	min-width: 50px;
}



/* Padding  and margin Adjustments */
.p5{
	padding: 5px;
}

.p10{
	padding: 10px;
}

.pt10 {
	padding-top: 10px;
}

.pl0 {
	padding-left: 0px;
}

.pr0 {
	padding-right: 0px;
}

.mt10 {
	margin-top: 10px;
}

.mr4 {
	margin-right: 4px;
}

.mr0 {
	margin-right: 0px;
}

.mr20 {
	margin-right: 20px;
}

.mr8OnlyforStateListing {
	margin-right: 8px !important;
}

.mt8 {
	margin-top: 8px;
}

.mt40 {
	margin-top: 40px;
}

.mb5{
	margin-bottom: 5px;
}

.mb10 {
	margin-bottom: 10px;
}

.mb20 {
	margin-bottom: 20px;
}

.mb35 {
	margin-bottom: 35px;
}

.mt50 {
	margin-top: 50px;
}

.mt5 {
	margin-top: 5px;
}

.mb4 {
	margin-bottom: 4px;
}

.m2 {
	margin: 10px !important;
}

.mr2 {
	margin-right: 2px;
}

.margin2{
	margin: 2px;
}

.mr10 {
	margin: 10px;
}

.col-centered {
	float: none;
	margin: 0 auto;
}

.p4 {
	padding: 4px;
}

.p5 {
	padding: 5px;
}

.p0 {
	padding: 0px;
}

.cp {
	cursor: pointer;
}

.w100 {
	width: 100px;
}

.lh2 {
	line-height: 2;
}

.ofyauto {
	overflow-y: auto;
}

.bgw{
	background-color: #FFF;
}


/* remove default bootstrap padding */

.rmdefpd15 {
	padding-left: 0px;
	padding-right: 0px;
}






/* Jiwans old styling dont Touch */


/*--------------------------------------------------------------------------------------------------------*/

.select2>.select2-choice.ui-select-match {
	/* Because of the inclusion of Bootstrap */
	height: 29px;
}

.ui-select-highlight {
	font-weight: bold;
}

.ui-select-offscreen {
	clip: rect(0 0 0 0) !important;
	width: 1px !important;
	height: 1px !important;
	border: 0 !important;
	margin: 0 !important;
	padding: 0 !important;
	overflow: hidden !important;
	position: absolute !important;
	outline: 0 !important;
	left: 0px !important;
	top: 0px !important;
}






/* Select2 theme */


/* Mark invalid Select2 */

.ng-dirty.ng-invalid>a.select2-choice {
	border-color: #D44950;
}

.select2-result-single {
	padding-left: 0;
}

.select2-locked>.select2-search-choice-close {
	display: none;
}

.select-locked>.ui-select-match-close {
	display: none;
}

body>.select2-container.open {
	z-index: 9999;
	/* The z-index Select2 applies to the select2-drop */
}






/*====================*/


/*Navigation*/

nav {
	background-color: #f6f6f6;
}

nav li {
	position: relative;
	border-bottom: 1px solid #EFECEC;
	display: block;
	list-style: none;
}

nav li ul {
	margin-bottom: 0px;
	padding: 0;
}

nav li ul li a {
	padding-left: 30px;
	background: #D9EAF9;
}

.glyphicon {
	color: black;
}

nav li a {
	display: block;
	padding: 9px 0 9px 12px;
}

nav li a:hover {
	background-color: #0089FF;
	text-decoration: none;
	color: #fafafa;
}

nav li a:active {
	background-color: #0089FF;
	text-decoration: none;
	color: #fafafa;
}

.glyphicon-chevron-right,
.glyphicon-chevron-down {
	padding-right: 13px;
	color: #CCCCCC;
}

nav a:hover .glyphicon {
	color: #fafafa;
}

.hidecdr {
	display: none
}






/*footer*/

#footer {
	position: fixed;
	left: 0px;
	bottom: 0px;
	height: 30px;
	width: 100%;
	background: #f6f6f6;
}





/*bodys*/

th {
	background: #f6f6f6;
	border-bottom: 1px solid #ddd;
	border-right: 1px solid #ddd;
	white-space: nowrap;
}

th a {
	color: black;
	display: block;
}

.list option {
	padding: 10px;
	border-bottom: 1px solid #EAEAEA;
}

.list {
	width: 400px;
	height: auto;
}

.navwrap {
	position: fixed;
	overflow-y: auto;
	top: 41px;
	bottom: 0;
	padding: 0;
	z-index: 200;
    position: fixed;
    top: 0;
	width: auto;
	box-shadow: 1px 1px 1px 0 #DCDCDC;
	background-color: #f6f6f6;
	top: 41px;
}

.wrap {
	z-index: 999;
	box-shadow: 0 0 1px 1px #DCDCDC;
	display: block;
	background-color: #f6f6f6;
	position: fixed;
	width: 100%;
	top: 0;
}

.logo {
	padding: 10px;
	height: 36px;
}

.contentwrap {
	position: relative;
	top: 41px;
	left: 164px;
	min-height: 540px;
	padding-top: 15px;
}

.panel-heading .glyphicon-pencil {
	color: #333;
}

.panel-body a {
	margin-left: 5px;
	background-color: #f6f6f6;
	border-radius: 2px;
	border: 1px solid #ccc;
	color: #333;
	padding: 5px;
	margin-bottom: 2px;
	white-space: nowrap;
}

.panel-body span {
	color: #F44336;
}

.panel-body span:last-child {
	color: #0D47A1;
}

.panel-body>div>p>span {
	color: #F44336;
}

.panel-body div~p {
	padding-left: 20px;
}

.panel-body p {
	color: #0D47A1;
	margin: none;
	margin-top: 5px;
}

.padding {
	padding-left: 20px;
}

.parent {
	padding: 10px;
	margin: 10px;
	border: 1px solid grey;
	border-radius: 4px;
}

/* all links and text buttons made blue.*/
a,
a:hover,
a:active,
a:visited {
	text-decoration: none;
	color: #1466cc;
}

.btn-link,
.btn-link:hover,
.btn-link:visited,
.btn-link:focus{
	color: #1466cc;
	text-decoration: none;
}

.container h1 img {
	height: 24px;
}

.container h1 {
	margin-top: 20px;
	margin-bottom: 20px;
}

/*pagiantion*/

.pagination {
	margin: 0px;
}

.wrapgraph {
	display: block;
	background-color: #F1F1F1;
	margin-bottom: 15px;
	width: 100%;
	min-height: 200px;
}

.menucollapse {
	margin: 7px;
}






/*test for graph*/

.btn:focus,
.btn:active:focus,
.btn.active:focus,
.uib-datepicker-popup li:focus {
	outline: none;
	outline-offset: 0;
}

.chart {
	background: #eee;
	padding: 3px;
}

.chart div {
	width: 0;
	transition: all 1s ease-out;
	-moz-transition: all 1s ease-out;
	-webkit-transition: all 1s ease-out;
}

bars-chart {
	margin-top: 15px;
	display: block;
	overflow: scroll;
}

.chart div {
	font: 10px sans-serif;
	background-color: steelblue;
	text-align: right;
	padding: 3px;
	margin: 5px;
	color: white;
	box-shadow: 2px 2px 2px #666;
}

#user {
	display: block;
	padding: 10px;
}

#user p {
	font-style: bold;
}

.blue {
	color: blue;
}






/*bar chart geo, hrof day, dayof week*/

.bar {
	fill: #4DD0E1;
}

.tip {
	padding: 10px;
	background: white;
	border-radius: 4px;
	border: 1px solid grey;
}

.cbar {
	fill: #00BCD4;
}

.bar:hover {
	fill: #00ACC1;
}

.text {
	font-size: x-small;
}

.axis {
	font: 10px sans-serif;
}

.axis path,
.axis line {
	fill: none;
	stroke: #000;
	shape-rendering: crispEdges;
}

.land {
	fill: #4DD0E1;
}

.county-boundary {
	fill: none;
	stroke: #fff;
	stroke-width: .5px;
}

.state-boundary {
	fill: none;
	stroke: #fff;
}





/* removed due to dirty coding  Todo: clean it up once sure not needed.*/


/*div.tooltip {
	position: absolute;
	text-align: center;
	width: auto;
	height: auto;
	padding: 8px;
	margin-top: -20px;
	font: 10px sans-serif;
	background: #fafafa;
	border: 1px solid #828282;
	box-shadow: 1px 1px 2px #888888;
	pointer-events: none;
}*/

.loadingText {
	background: white;
	position: absolute;
	width: 116px;
	height: 45px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	border: 1px solid #cccccc;
	padding: 10px;
}

.loading {
	z-index: 30000;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.47);
}

.table-striped>tbody>.lastinserted>td {
	background-color: rgba(255, 255, 50, 0.30) !important;
	/*color: red;*/
}






/* On mouse hover, lighten state color */

path:hover {
	fill-opacity: .7;
}






/* Legend Position Style */

.legend {
	position: absolute;
	left: 800px;
	top: 350px;
}

.enabled {
	background: url(/images/active.png) no-repeat;
	width: 7px;
	height: 7px;
	display: block;
}

.paused {
	background: url(/images/pause.png) no-repeat;
	width: 7px;
	height: 7px;
	display: block;
}

.checkbox {
	width: 50px;
}

.colapse {
	left: 40px;
}

.colapsemenu {
	left: 0px;
}

.hidemenu {
	display: none;
}

a:focus {
	outline: none;
}

.navwrap nav .btn-default {
	border: none;
}

.table-striped>tbody>tr>td:last-child {
	width: 30%;
}

.navbar-toggle .icon-bar {
	background: #4a86e8;
	width: 18px;
}

.navbar-toggle {
	background-color: #ffffff;
	margin: 6px;
	padding: 6px;
	border: 1px solid rgba(74, 134, 232, 0.75);
}

.modeltable {
	clear: both;
	overflow: auto;
}

.modal_body_padding {
	padding: 20px 0 0;
}

.callresult {
	width: 100%;
	display: block;
	text-align: center;
	color: white;
	padding: 5px;
	border-radius: 2px;
}

.makegreen {
	background-color: #4CAF50 !important;
}

.makefade {
	background-color: #607D8B !important;
}

.repeat {
	background-color: #00BCD4 !important;
}

.other {
	background-color: #8b8b8b;
	white-space: nowrap;
}





/* CDR Panel styling */

.panel-primary {
	border-color: #ccc;
}

.status_cdr {
	padding-right: 12px;
}

.panel-primary>.panel-heading {
	color: #333;
	background-color: #f6f6f6;
	border-color: #ccc;
}

.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus {
	color: #333;
	background-color: #f6f6f6;
	border-color: #ccc;
}





/* Profile picture styling */

.user {
	display: inline-block;
	width: 20px;
	height: 20px;
	border-radius: 50%;
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
}

.one {
	background-image: url('http://placehold.it/350x150');
}

.two {
	background-image: url('http://placehold.it/150x150');
}

.three {
	background-image: url('http://placehold.it/350x750');
}

@media (max-width: 767px) {
	#user {
		display: none;
	}
	.contentwrap .col-md-8 {
		padding: 5px;
	}
	.col {
		padding: 5px;
		overflow: scroll;
		clear: both;
	}
	.nav-tabs>li>a {
		padding: 5px 8px;
	}
	.modal-header {
		padding: 5px;
	}
	.modal-title {
		padding: 5px;
	}
	.pagination-sm>li>a,
	.pagination-sm>li>span {
		padding: 5px 7px;
		font-size: 10px;
	}
}